# Get

Launch stage: Beta

`GET /api/2.0/identity/workspace-access-details/{principal_id}`

Returns the access details for a principal in the current workspace. Allows for checking access details for any
 provisioned principal (user, service principal, or group) in the current workspace.
 * Provisioned principal here refers to one that has been synced into <Databricks> from the customer's IdP or
   added explicitly to <Databricks> via SCIM/UI.
 Allows for passing in a "view" parameter to control what fields are returned (BASIC by default or FULL).

API scopes: identity

## Path parameters

- `principal_id` (int64, optional)
  Required. The internal ID of the principal (user/sp/group) for which the access details are being requested.

## Query parameters

- `view` (string, optional)
  Controls what fields are returned.
  Possible values: `WORKSPACE_ACCESS_DETAIL_VIEW_UNSPECIFIED`, `BASIC`, `FULL`
  Default: `BASIC`

## Returns

Returns the WorkspaceAccessDetail object.

## Response

```json
{
  "principal_id": 0,
  "workspace_id": 0,
  "account_id": "string",
  "principal_type": "string",
  "access_type": "string",
  "status": "string",
  "permissions": [
    "string"
  ]
}
```

